Debian LTS: DLA-3214-1: libraw security update | LinuxSecurity.com
-------------------------------------------------------------------------
Debian LTS Advisory DLA-3214-1                [email protected]
https://www.debian.org/lts/security/                        Helmut Grohne
November 30, 2022                             https://wiki.debian.org/LTS
-------------------------------------------------------------------------

Package        : libraw
Version        : 0.19.2-2+deb10u2
CVE ID         : CVE-2020-15503

This update adds size checks to thumbnail extraction. Prior to these checks, it
was possible to overflow arguments to e.g. malloc and thus cause out-of-bounds
memory accesses.

For Debian 10 buster, this problem has been fixed in version
0.19.2-2+deb10u2.

We recommend that you upgrade your libraw packages.

For the detailed security status of libraw please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/libraw

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS

Debian LTS: DLA-3214-1: libraw security update

November 30, 2022
This update adds size checks to thumbnail extraction

Summary

For Debian 10 buster, this problem has been fixed in version
0.19.2-2+deb10u2.

We recommend that you upgrade your libraw packages.

For the detailed security status of libraw please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/libraw

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS

Severity
Package : libraw
Version : 0.19.2-2+deb10u2
CVE ID : CVE-2020-15503

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.